Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-55120

Prepare Moodle for PHP 7.1

    XMLWordPrintable

Details

    • Epic
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 3.0.4, 3.1
    • 3.2
    • General, Installation
    • None
    • MOODLE_30_STABLE, MOODLE_31_STABLE
    • MOODLE_32_STABLE
    • Prepare Moodle for PHP7.1

    Description

      And again, more deprecations in the PHP language that moodle has to work with.

      PHP 7.1 is expected in December 2016, we should aim to make Moodle 3.2 compatible with it.

      https://wiki.php.net/rfc/deprecations_php_7_1

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              marina Marina Glancy
              Adrian Greeve, David Woloszyn, Huong Nguyen, Jake Dallimore, Michael Hawkins, Stevani Andolo, Matteo Scaramuccia, David Woloszyn, Huong Nguyen, Jake Dallimore, Michael Hawkins, Stevani Andolo
              Votes:
              1 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                5/Dec/16